Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.storedProcedures
Class SMF

    java.lang.Object
      edu.udo.cs.miningmart.storedProcedures.SMF

public class SMF
extends java.lang.Object

Version:
  $Id: SMF.java,v 1.4 2006/04/11 14:10:16 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`SMF(BusinessDbConnectionSource dbc, java.lang.String source, java.lang.String time, java.lang.String column, java.lang.String target, java.lang.String timeStartOut, java.lang.String timeEndOut, java.lang.String columnOut, int windowSize, int distance)` Constructor

Method Summary
`void` | `calc()` Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing
`static void` | `dbSMF(java.lang.Object dbc, java.lang.String source, java.lang.String time, java.lang.String column, java.lang.String target, java.lang.String timeStartOut, java.lang.String timeEndOut, java.lang.String columnOut, int windowSize, int distance)` This function has to be used in the database as a stored procedure for calculating an SMA.
`protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset` | `getOutputColumnset()`
`protected Windowing` | `getWindow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMF

    public SMF(BusinessDbConnectionSource dbc,
               java.lang.String source,
               java.lang.String time,
               java.lang.String column,
               java.lang.String target,
               java.lang.String timeStartOut,
               java.lang.String timeEndOut,
               java.lang.String columnOut,
               int windowSize,
               int distance)
        throws java.sql.SQLException,
               TimeOperatorException

  Constructor

Parameters:
  `dbc` - source of database connection if not used as stored procedure
  `source` - source table
  `time` - time column of source table
  `column` - value column of source table
  `target` - name of the target table to be created
  `timeStartOut` - name of the interval start attribute for the output table
  `timeEndOut` - name of the interval end attribute for the output table
  `columnOut` - name of the output value attribute
  `windowSize` - size of the window
  `distance` - step size for windowing
Throws:
  `java.sql.SQLException`
  `TimeOperatorException`

Method Detail

### calc

    public void calc()
              throws TimeOperatorException

  Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing.

  Throws:
    `TimeOperatorException`

### getWindow

    protected Windowing getWindow()

### getOutputColumnset

    protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset getOutputColumnset()

### dbSMF

    public static void dbSMF(java.lang.Object dbc,
                             java.lang.String source,
                             java.lang.String time,
                             java.lang.String column,
                             java.lang.String target,
                             java.lang.String timeStartOut,
                             java.lang.String timeEndOut,
                             java.lang.String columnOut,
                             int windowSize,
                             int distance)
                      throws java.sql.SQLException,
                             TimeOperatorException

  This function has to be used in the database as a stored procedure for calculating an SMA.

  Throws:
    `java.sql.SQLException`
    `TimeOperatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005